Description

Regarding the Build button on the host page. If this button is pressed, shouldn't it set the VM to boot to the network on the next boot?

It seems like it would really be handy if the build button set the vm to boot from network, and rebooted it at the same time, turning a

host rebuild into a 1 click process.

Related issues:

Related to Foreman - Bug #5510: Set network as first boot device for VMs in V... Closed 04/30/2014

History

#1 - 02/12/2014 09:12 AM - Dominic Cleal

- Category set to Compute resources

It might be best to configure the boot order for new VMs as network, HDD as we do with other compute resource types.

#2 - 02/12/2014 09:13 AM - Ohad Levy

yeah, but we should have an auto reboot/poweron checkbox?

#3 - 04/30/2014 01:29 PM - Dominic Cleal

- Related to Bug #5510: Set network as first boot device for VMs in VMware compute resources added

#4 - 04/30/2014 01:30 PM - Marco De Vitis

Well, I actually sort of like the fact that the build will happen on the next boot, so that I have time to cancel it or do other stuff I forgot on the VM.

An option would not hurt me, though.

I filed a bug for the boot order: http://projects.theforeman.org/issues/5510

#5 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#6 - 03/11/2016 10:22 AM - Dominic Cleal

- Status changed from New to Resolved

I believe this has been resolved in Foreman 1.11, as VMware hosts now have network boot set by default.  The build button on the host page also

has a tickbox to reboot hosts immediately, and the host list also has power management controls now.

#7 - 10/24/2016 04:14 AM - Nathan Ward

Dominic Cleal wrote:

I believe this has been resolved in Foreman 1.11, as VMware hosts now have network boot set by default.  The build button on the host page

also has a tickbox to reboot hosts immediately, and the host list also has power management controls now.

 Hi, I don't believe this is solved. My situation is implementing Foreman in an existing environment, where VMs already have a boot order set

(HDD>CD>Net or similar). I have added hosts to foreman but cannot rebuild them without manually setting the boot order in the BIOS, or doing a

VMWare API call myself. The build button should check that the boot order is still consistent.
#8 - 10/24/2016 04:15 AM - Dominic Cleal

I'd suggest filing a new issue to cover changing this setting when VMs are associated, thanks.
